package com.yidianling.im.bean


data class DoctorInquIryIngInfoBean(

    var canDialog:Int,              // 0不能对话、1赠送对话对话中、2问诊订单对话中
    var dialogIng:Int,              // 是否会话中：0不在会话中、1在会话中(问诊中状态包括待接诊、问诊中和已完成)
    var dialogStatus:Int,           // 对话状态：1问诊中（对话中），可对话时该字段才有值
    var dialogStatusName:String,    // 对话状态名称：1问诊中（对话中），可对话时该字段才有值
    var surplusDialogTime:Long,     // 剩余赠送对话时间


    //问诊订单ID
    val inquiryOrderId: String,
    //问诊订单状态: 10:待支付、 20:待接诊、 30:待诊断(已接诊、问诊中)、40:已完成、50:已结束、60:已关闭
    val status: Int,
    //问诊订单状态: 10:待支付、 20:待接诊、 30:待诊断(已接诊、问诊中)、40:已完成、50:已结束、60:已关闭
    val statusName: String,
    //当前用户是否和医生在问诊中0不在问诊中、1在问诊中(问诊中状态包括待诊断和已完成)
    val inquiryIng: Int,
    //医生ID
    val doctorId: String,
    //用户ID
    val userId: String,
    //倒计时，单位秒
    var surplusInquiryTime: Long

)
